//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Dlc {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x241FCA5B1AA14F75<br />
/// </para>
/// </remarks>
public static bool AreAnyCcsPending(){
return Function.Call<bool>((Hash)0x241FCA5B1AA14F75uL);
}

/// <summary>
/// Returns true if the given DLC pack is present.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x812595A0644CE1DE<br />
/// </para>
/// </remarks>
public static bool IsDlcPresent(uint dlcHash){
return Function.Call<bool>((Hash)0x812595A0644CE1DEuL, dlcHash);
}

/// <summary>
/// This function is hard-coded to always return 1.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF2E07819EF1A5289<br />
/// </para>
/// </remarks>
public static bool DlcCheckCloudDataCorrect(){
return Function.Call<bool>((Hash)0xF2E07819EF1A5289uL);
}

/// <summary>
/// This function is hard-coded to always return 0.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9489659372A81585<br />
/// </para>
/// </remarks>
public static int GetExtracontentCloudResult(){
return Function.Call<int>((Hash)0x9489659372A81585uL);
}

/// <summary>
/// This function is hard-coded to always return 1.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA213B11DFF526300<br />
/// </para>
/// </remarks>
public static bool DlcCheckCompatPackConfiguration(){
return Function.Call<bool>((Hash)0xA213B11DFF526300uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8D30F648014A92B5<br />
/// </para>
/// </remarks>
public static bool GetEverHadBadPackOrder(){
return Function.Call<bool>((Hash)0x8D30F648014A92B5uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x10D0A8F259E93EC9<br />
/// </para>
/// </remarks>
public static bool GetIsLoadingScreenActive(){
return Function.Call<bool>((Hash)0x10D0A8F259E93EC9uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 1734<br />
/// <b>Native ID:</b> 0xC4637A6D03C24CC3<br />
/// </para>
/// </remarks>
public static bool GetIsInitialLoadingScreenActive(){
return Function.Call<bool>((Hash)0xC4637A6D03C24CC3uL);
}

/// <summary>
/// Sets the value of the specified variable to 0.<br />Always returns true.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x46E2B844905BC5F0<br />
/// </para>
/// </remarks>
public static bool HasCloudRequestsFinished(ref bool p0, int unused){
var nativeAssistPointerVar0 = p0;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x46E2B844905BC5F0uL, &nativeAssistPointerVar0, unused);
}
p0 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// Unloads GROUP_MAP (GTAO/MP) DLC data and loads GROUP_MAP_SP DLC. Neither are loaded by default, ON_ENTER_MP is a cognate to this function and loads MP DLC (and unloads SP DLC by extension).<br />Works in singleplayer.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD7C10C4A637992C9<br />
/// </para>
/// </remarks>
public static void OnEnterSp(){
Function.Call((Hash)0xD7C10C4A637992C9uL);
}

/// <summary>
/// This loads the GTA:O dlc map parts (high end garages, apartments).<br />Works in singleplayer.<br />In order to use GTA:O heist IPL&apos;s you have to call this native with the following params: SET_INSTANCE_PRIORITY_MODE(1);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Dlc<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0888C3502DBBEEF5<br />
/// </para>
/// </remarks>
public static void OnEnterMp(){
Function.Call((Hash)0x0888C3502DBBEEF5uL);
}

}}
